## asis 3.12p

=== Makefile ===
include Makefile.stub

all: install ds gnatstub gnatelim

install:
	$(MAKE) -e -C obj install

ds:
	$(MAKE) -e -C examples/ds

gnatstub:
	$(MAKE) -e -C examples/gnatstub

gnatelim:
	$(MAKE) -e -C examples/gnatelim

clean:
	$(MAKE) -e -C obj clean
	$(MAKE) -e -C examples/ds clean
	$(MAKE) -e -C examples/gnatstub clean
	$(MAKE) -e -C asistant clean
	$(MAKE) -e -C examples/gnatelim clean
