=== asistant/Makefile ===
include ../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         asistant-driver -o asistant \
	         -cargs $(ADAFLAGS) -largs -lasis -lgnat
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) asistant$(exe_ext)
	$(RM) *~
