=== obj/Makefile ===
include ../Makefile.stub
IDIR=$(INSTALL_DIR)/asis
install: libasis$(arext)
	$(RMDIR) $(IDIR)
	$(MKDIR) $(IDIR)
	$(INSTALL_FILES) *.ali $(IDIR)
	$(CHMOD) a-w $(IDIR)/*.ali
	$(INSTALL_FILES) *$(arext) $(IDIR)
	$(INSTALL_FILES) $(GNAT_DIR)/*.ads  $(GNAT_DIR)/*.adb $(IDIR)
	$(INSTALL_FILES) $(ASIS_DIR)/*.ads  $(ASIS_DIR)/*.adb $(IDIR)
	$(MAKE) -e -C ../asistant

libasis$(arext): bld-objs
	$(AR) $(AR_FLAGS) libasis$(arext) *$(objext)
ifneq "$(findstring OpenVMS, $(host))" "OpenVMS"
#	VMS doesn't understand Unix shell "if" commands
	if $(RANLIB_TEST) ; then $(RANLIB) libasis$(arext); else true; fi
endif

bld-objs:
	gnatmake -c $(GNATMAKE_FLAGS) -aI$(GNAT_DIR) -aI$(ASIS_DIR) $(CFLAGS)\
	         install_asis.adb \
                 -cargs $(ADAFLAGS)
	$(RM) install_asis$(objext) install_asis.ali

libasis$(soext): clean
	$(MAKE) -e bld-objs CFLAGS="$(CFLAGS) -fPIC"
	gcc -shared -o libasis$(soext) *$(objext)

clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) *$(arext)
	$(RM) *$(soext)
	$(RM) *~
