=== examples/ds/Makefile ===
include ../../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         display_source -o ds \
	         -cargs $(ADAFLAGS) -largs -lasis -lgnat
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) ds$(exe_ext)
