=== examples/gnatelim/Makefile ===
include ../../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         gnatelim-driver -o gnatelim \
	         -cargs $(ADAFLAGS) -largs -lasis -lgnat
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) gnatelim$(exe_ext)
