=== examples/gnatstub/Makefile ===
include ../../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         gnatstub-driver -o gnatstub \
	         -cargs $(ADAFLAGS) -largs -lasis -lgnat
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) gnatstub$(exe_ext)
