## asis 3.14p

=== Makefile ===
include Makefile.stub

all: install ds gnatstub gnatelim

install:
	$(MAKE) -e -C obj install

ds:
	$(MAKE) -e -C examples/ds

gnatstub:
	$(MAKE) -e -C tools/gnatstub

gnatelim:
	$(MAKE) -e -C tools/gnatelim

clean:
	$(MAKE) -e -C obj clean
	$(MAKE) -e -C examples/ds clean
	$(MAKE) -e -C tools/gnatstub clean
	$(MAKE) -e -C tools/asistant clean
	$(MAKE) -e -C tools/gnatelim clean
