=== obj/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	$(INSTALL_FILES) *$(arext) $(IDIR)
 	$(INSTALL_FILES) $(GNAT_DIR)/*.ads  $(GNAT_DIR)/*.adb $(IDIR)
 	$(INSTALL_FILES) $(ASIS_DIR)/*.ads  $(ASIS_DIR)/*.adb $(IDIR)
-	$(MAKE) -e -C ../asistant
+	$(MAKE) -e -C ../tools/asistant
 
 libasis$(arext): bld-objs
 	$(AR) $(AR_FLAGS) libasis$(arext) *$(objext)
@@ -18,9 +18,15 @@
 endif
 
 bld-objs:
+	gcc -c $(GNATMAKE_FLAGS) -I$(GNAT_DIR) -I$(ASIS_DIR) install_asis.adb
+#	install_asis.adb is not '-gnatg-compilable'
+ifeq "$(findstring hppa, $(host))" "hppa"
+# this file has problems when compiled with optimization see 7418-013
+	gcc -c  -I$(GNAT_DIR)  $(CFLAGS) -O0 $(ASIS_DIR)/a4g-a_sinput.adb
+endif
 	gnatmake -c $(GNATMAKE_FLAGS) -aI$(GNAT_DIR) -aI$(ASIS_DIR) $(CFLAGS)\
 	         install_asis.adb \
-                 -cargs $(ADAFLAGS)
+                 -cargs $(ADA_FLAGS_FOR_ASISLIB)
 	$(RM) install_asis$(objext) install_asis.ali
 
 libasis$(soext): clean
