=== tools/asistant/Makefile ===
include ../../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         asistant-driver -o asistant \
                 -cargs $(ADA_FLAGS_FOR_TOOLS) -largs -lasis
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) asistant$(exe_ext)
	$(RM) *~
