=== obj/Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 endif
 
 bld-objs:
-	gcc -c $(GNATMAKE_FLAGS) -I$(GNAT_DIR) -I$(ASIS_DIR) install_asis.adb
+	$(CC) -c $(GNATMAKE_FLAGS) -I$(GNAT_DIR) -I$(ASIS_DIR) install_asis.adb
 #	install_asis.adb is not '-gnatg-compilable'
 ifeq "$(findstring hppa, $(host))" "hppa"
 # this file has problems when compiled with optimization see 7418-013
-	gcc -c  -I$(GNAT_DIR)  $(CFLAGS) -O0 $(ASIS_DIR)/a4g-a_sinput.adb
+	$(CC) -c  -I$(GNAT_DIR)  $(CFLAGS) -O0 $(ASIS_DIR)/a4g-a_sinput.adb
 endif
 	gnatmake -c $(GNATMAKE_FLAGS) -aI$(GNAT_DIR) -aI$(ASIS_DIR) $(CFLAGS)\
 	         install_asis.adb \
@@ -31,7 +31,7 @@
 
 libasis$(soext): clean
 	$(MAKE) -e bld-objs CFLAGS="$(CFLAGS) -fPIC"
-	gcc -shared -o libasis$(soext) *$(objext)
+	$(CC) -shared -o libasis$(soext) *$(objext)
 
 clean:
 	$(RM) *$(objext)
