=== tools/gnatstub/Makefile ===
include ../../Makefile.stub
# Compile this tool statically so that it can be distributed easily with
# GNAT
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         gnatstub-driver -o gnatstub \
                 -cargs $(ADA_FLAGS_FOR_TOOLS) -bargs -static -largs -lasis
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) gnatstub$(exe_ext)
