## asis 2005

=== Makefile ===
include Makefile.stub

all: install install-asistant install-tools

BLD=prod
IDIR=$(INSTALL_DIR)/lib/gnat/asis
tools = gnatstub gnatelim gnatmetric gnatpp

install: lib/libasis$(arext)
	$(RMDIR) $(IDIR)
	$(MKDIR) $(IDIR)/obj
	$(MKDIR) $(IDIR)/src
	$(MKDIR) $(IDIR)/lib
	$(INSTALL_FILES) lib/*.ali $(IDIR)/obj
	$(CHMOD) a-w $(IDIR)/obj/*.ali
	$(INSTALL_FILES) lib/libasis$(arext) $(IDIR)/lib
	$(CHMOD) a-w $(IDIR)/lib/libasis$(arext)
	$(INSTALL_FILES) gnat/*.ads  gnat/*.adb $(IDIR)/src
	$(INSTALL_FILES) asis/*.ads  asis/*.adb $(IDIR)/src
	$(INSTALL_FILES) asis/asis.gpr $(IDIR)/..

lib/libasis$(arext): force
	gnat make -Pasis_bld -XBLD=$(BLD) -XOPSYS=$(OPSYS)

install-tools: $(tools:%=install-%)
	echo $<

gnat%:
	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"

asistant:
	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"

install-asistant: asistant
	$(INSTALL_FILES) tools/asistant/asistant$(exe_ext)\
	                 $(INSTALL_DIR)/bin

install-gnat%: gnat%
	$(INSTALL_FILES) tools/gnat$*/gnat$*$(exe_ext)\
	                 $(INSTALL_DIR)/bin
atre:
	gnat make -Ptools/$@/$@

clean-gnat%:
	gnat clean -Ptools/gnat$*/gnat$*

clean: clean-gnatstub clean-gnatelim clean-gnatpp clean-gnatmetric
	gnat clean -Pasis_bld

force:
