=== obj/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 libasis$(arext): bld-objs
 	$(AR) $(AR_FLAGS) libasis$(arext) *$(objext)
-ifneq "$(findstring OpenVMS, $(host))" "OpenVMS"
+ifneq ($(strip $(filter-out OpenVMS% openvms%, $(host))),)
 #	VMS doesn't understand Unix shell "if" commands
 	if $(RANLIB_TEST) ; then $(RANLIB) libasis$(arext); else true; fi
 endif
