=== examples/ds/Makefile ===
include ../../Makefile.stub
default:
	gnatmake $(GNATMAKE_FLAGS) -I$(INSTALL_DIR)/asis $(CFLAGS) \
	         display_source -o ds \
                 -cargs $(ADA_FLAGS_FOR_TOOLS) -largs -lasis
clean:
	$(RM) *$(objext)
	$(RM) *.ali
	$(RM) b_*.c
	$(RM) ds$(exe_ext)
