=== tools/asistant/Makefile ===
include ../../Makefile.stub
BLD=prod

default:
	gnat make -Pasistant -XBld=$(BLD)
clean:
	gnat clean -Pasistant
