=== tools/gnatelim/Makefile ===
include ../../Makefile.stub
BLD=prod

default:
	gnat make -Pgnatelim -XBld=$(BLD)
clean:
	gnat clean -Pgnatelim
