=== tools/gnatpp/Makefile ===
include ../../Makefile.stub
BLD=prod

default:
	gnat make -Pgnatpp -XBld=$(BLD)
clean:
	gnat clean -Pgnatpp
