=== tools/gnatstub/Makefile ===
include ../../Makefile.stub
BLD=prod

default:
	gnat make -Pgnatstub -XBld=$(BLD)
clean:
	gnat clean -Pgnatstub
