## asis 2007

=== Makefile ===

include Makefile.stub

all: install install-asistant install-tools

BLD=prod
tools = gnatstub gnatelim gnatmetric gnatpp gnatcheck

I_BIN	= $(INSTALL_DIR)/bin
I_INC	= $(INSTALL_DIR)/include/asis
I_LIB	= $(INSTALL_DIR)/lib/asis
I_GPR	= $(INSTALL_DIR)/lib/gnat
I_DOC   = $(INSTALL_DIR)/share/doc/asis
I_GPS   = $(INSTALL_DIR)/share/gps/plug-ins

install: lib/libasis$(arext)
	$(RMDIR) $(I_INC)
	$(RMDIR) $(I_LIB)
	$(MKDIR) $(I_BIN)
	$(MKDIR) $(I_INC)
	$(MKDIR) $(I_LIB)
	$(MKDIR) $(I_GPR)
	$(MKDIR) $(I_GPS)
	$(MKDIR) $(I_DOC)/html
	$(MKDIR) $(I_DOC)/info
	$(MKDIR) $(I_DOC)/pdf
	$(INSTALL_FILES) lib/*.ali $(I_LIB)
	$(CHMOD) a-w $(I_LIB)/*.ali
	$(INSTALL_FILES) lib/libasis$(arext) $(I_LIB)
	$(CHMOD) a-w $(I_LIB)/libasis$(arext)
	$(INSTALL_FILES) gnat/*.ads gnat/*.adb $(I_INC)
	$(INSTALL_FILES) asis/*.ads asis/*.adb $(I_INC)
	$(INSTALL_FILES) asis/asis.gpr $(I_GPR)
	$(INSTALL_FILES) documentation/*.html $(I_DOC)/html/
	$(INSTALL_FILES) documentation/*.pdf  $(I_DOC)/pdf/
	$(INSTALL_FILES) documentation/*.info $(I_DOC)/info/
	$(INSTALL_FILES) documentation/gps_index.xml $(I_GPS)/asis.xml

lib/libasis$(arext): force
	gnat make -Pasis_bld -XBLD=$(BLD) -XOPSYS=$(OPSYS)

install-tools: $(tools:%=install-%)
	echo $<

gnat%:
	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"

asistant:
	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"

install-asistant: asistant
	$(MKDIR) $(I_BIN)
	$(INSTALL_FILES) tools/asistant/asistant$(exe_ext) $(I_BIN)

install-gnat%: gnat%
	$(MKDIR) $(I_BIN)
	$(INSTALL_FILES) tools/gnat$*/gnat$*$(exe_ext) $(I_BIN)
atre:
	gnat make -Ptools/$@/$@

clean-gnat%:
	gnat clean -Ptools/gnat$*/gnat$*

clean: clean-gnatstub clean-gnatelim clean-gnatpp clean-gnatmetric
	gnat clean -Pasis_bld

force:
