## asis 2008

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 include Makefile.stub
 
-all: install install-asistant install-tools
+all: install install-asistant
 
 BLD=prod
 tools = gnatstub gnatelim gnatmetric gnatpp gnatcheck
@@ -37,16 +37,16 @@
 	$(INSTALL_FILES) documentation/gps_index.xml $(I_GPS)/asis.xml
 
 lib/libasis$(arext): force
-	gnat make -Pasis_bld -XBLD=$(BLD) -XOPSYS=$(OPSYS)
+	$(GNATMAKE) -Pasis_bld -XBLD=$(BLD) -XOPSYS=$(OPSYS)
 
 install-tools: $(tools:%=install-%)
 	echo $<
 
 gnat%:
-	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"
+	$(GNATMAKE) "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"
 
 asistant:
-	gnatmake "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"
+	$(GNATMAKE) "-Ptools/$@/$@" "-XBLD=$(BLD)" "-XOPSYS=$(OPSYS)"
 
 install-asistant: asistant
 	$(MKDIR) $(I_BIN)
