=== documentation/Makefile ===
all: pdf html info partial_clean

pdf:  asis_ug.pdf  asis_rm.pdf
html: asis_ug.html asis_rm.html
info: asis_ug.info asis_rm.info

asis_ug.pdf asis_rm.pdf :
	echo x | texi2pdf ${@:%.pdf=%.texi}

asis_ug.html asis_rm.html :
	texi2html -split chapter -number -subdir=. ${@:%.html=%.texi}

asis_ug.info asis_rm.info :
	makeinfo --force --no-split -o $@ ${@:%.info=%.texi}
	makeinfo --force --no-headers --no-split -o ${@:%.info=%.txt} \
		${@:%.info=%.texi}

partial_clean:
	rm -f *.aux *.cp *.cps *.dvi *.fn *.ky *.log *.pg *.toc *.tp *.vr

clean: partial_clean
	rm -rf *.ps *.info* *.html asis_rm.txt asis_ug.txt


asis_ug.pdf : asis_ug.texi
asis_rm.pdf : asis_rm.texi

asis_ug.html : asis_ug.texi
asis_rm.html : asis_rm.texi

asis_ug.info : asis_ug.texi
asis_rm.info : asis_rm.texi

asis_ug.texi: edition.texi texinfo.tex texiplus.tex
asis_rm.texi: edition.texi texinfo.tex texiplus.tex

edition.texi:
	cp ../gnat/edition.texi .

texinfo.tex:
	cp ../gnat/texinfo.tex .

texiplus.tex:
	cp ../gnat/texiplus.tex .
