=== obj/Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 # this file has problems when compiled with optimization see 7418-013
 	$(CC) -c  -I$(GNAT_DIR)  $(CFLAGS) -O0 $(ASIS_DIR)/a4g-a_sinput.adb
 endif
-	gnatmake -c $(GNATMAKE_FLAGS) -aI$(GNAT_DIR) -aI$(ASIS_DIR) $(CFLAGS)\
-	         install_asis.adb \
+	$(GNATMAKE) -c $(GNATMAKE_FLAGS) -aI$(GNAT_DIR) -aI$(ASIS_DIR) \
+		 $(CFLAGS) install_asis.adb \
                  -cargs $(ADA_FLAGS_FOR_ASISLIB)
 	$(RM) install_asis$(objext) install_asis.ali
