=== debian/changelog ===
asis (2010-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Uploaders += myself, removed obsolete DM-Upload-Allowed for Xavier.
  * Rely on dpkg-dev and dh-ada-library for (hardening) flags.
    Actually set library_kind when building tools.
    Let gnatmake decide if recompilation is needed.
    Do not set ALI files read-only (dh_fixperms handles this now).
  * Switch to debhelper 9. Readers now handle compressed pdf.
    Install README only once (in asis-doc).
  * Switch to dh-ada-library. -dbg is now Multi-Arch: same.
  * rules, *.gpr: consistent naming for persistent obj directories.
  * Lintian: GFDL is mentioned in the patch removing it. Closes: #708779.
    -dbg->lib dependency is generated in ada:Depends, not forgotten.
  * copyright: adapt to the machine-readable format 1.0.
  * Minimal link-with-shared test.
  * Doc-base registration. Use texi2any instead of texi2html. Ignore texiplus.
  * control: Standards-Version: 3.9.4. VCS-*. Homepage. Commented watch file.
  * Replace - with \- in manpages.
  * patches: refreshed without timestamps.
  * Avoid duplicate installed README files. Avoid duplicate cleaning recipes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 Sep 2013 08:52:50 +0200

asis (2010-5) unstable; urgency=low

  * debian/rules: use wildcards in lintian overrides to make them
    arch-independent.  Closes: #677155 and special thanks to Jakub Wilk
    for reporting the bug so quickly and suggesting this solution.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 12 Jun 2012 08:52:50 +0200

asis (2010-4) unstable; urgency=low

  * debian/tools.gpr, debian/rules: correct the way we build the tools;
    each tool contains a different copy of some units, so the project file
    must reference only the source directory of the tool being built.
    Closes: #676338.
  * debian/control: do not reference ada-compiler anymore, per
    https://lists.debian.org/debian-ada/2011/12/msg00012.html.
    (Standards-Version): bump to 3.9.3 with no changes required.
  * debian/rules: generate Lintian overrides for all packages for warnings
    hardening-no-relro and hardening-no-fortify-functions, which do not
    apply to Ada.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 10 Jun 2012 21:49:21 +0200

asis (2010-3) unstable; urgency=low

  * debian/install_asis.gpr: work around compiler bug #642980 by
    compiling asis-text.adb without optimization.  Fixes FTBFS on
    kfreebsd-amd64, mips and mipsel.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  1 Oct 2011 19:20:55 +0200

asis (2010-2) unstable; urgency=low

  * debian/rules (binary-arch, binary-indep): apply patches before
    building.  Fixes FTBFS when building with dpkg-buildpackage -b.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  7 Sep 2011 01:19:06 +0200

asis (2010-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version 2010 GPL
  * Migrate to gnat-4.6.
  * Add get-orig-source in debian/rules
  * Package renamings pursuant to the Debian Policy for Ada:
    libasis2008-dev  -> libasis2010-dev
    libasis2008      -> libasis2010
    libasis2008-dbg  -> libasis2010-dbg

  [Ludovic Brenta]
  * debian/control (Architectures): any.
    (Uploaders): add Xavier Grave.
    (DM-Upload-Allowed): yes.
    (Build-Depends-Indep): new.
    (Standards-Version): bump to 3.9.2 with no changes required.
    (libasis2010): Multiarch: same.
  * debian/compat: bump from 7 to 8.    
  * debian/rules (build): split into build-arch and build-indep.
    (build-indep, clean): build the documentation from source instead of
    shipping upstream's prebuilt doc (which we exclude from the orig
    tarball).
    (libasis2010, libasis2010-dev, libasis2020-dbg): move the shared library
    to the multiarch-compliant directory.
    (libasis2010-dev): Move the examples and tutorial to...
    (asis-doc): ... here.
  * debian/patches/info.patch: remove.
  * debian/patches/documentation.patch: new.
    (documentation/*.texi): clarify that the license of the documentation is
    GPLv2 or later, like the rest of the sources, as opposed to GFDL.
    (documentation/*.texi) add stanzas to place the documentation under "GNU
    Ada Tools" in the top-level info menu.
    (Makefile): use the system-provided texinfo.tex instead of the one
    bundled with the sources.
    (documentation/edition.texi): change to FSFEDITION.
    (documentation/version.texi): change to 4.6.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 10:25:46 +0200

asis (2008-5) unstable; urgency=low

  Comply with Debian Policy for Ada, Fifth Edition:
  * debian/control (libasis2008-dev):
    - Suggest the -dbg package.
    (libasis2008-dev, asis-programs, libasis2008): Depend on
    ada-compiler in addition to gnat.
    (libasis2008-dbg, libasis-doc): Suggest ada-compiler and gnat.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 29 May 2010 20:56:26 +0200

asis (2008-4) unstable; urgency=low

  * debian/control (libasis2008): depend on gnat (closes: #572359)
    and gnat-4.4 (closes: #565619).
    (Architecture): add armel.  Closes: #568435.
  * debian/rules (asis-doc): install a few additional doc files.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 11 Mar 2010 18:37:40 +0100

asis (2008-3) unstable; urgency=low

  * debian/control (Architecture): really disable alpha.
    (asis-doc): correct the short description.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 24 Nov 2009 00:46:47 +0100

asis (2008-2) unstable; urgency=low

  * debian/control (Architecture): temporarily disable alpha due to
    http://gcc.gnu.org/PR42073.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Nov 2009 22:16:58 +0100

asis (2008-1) unstable; urgency=low

  * New upstream version, roughly corresponding to gnat-4.4.
  * debian/control (libasis-dev): rename to libasis2008-dev, with
    Conflicts: and Replaces:, per Debian Policy for Ada
    [http://people.debian.org/~lbrenta/debian-ada-policy.html]
    (libasis2007.1): rename to libasis2008 with soname bump.

