=== debian/control ===
Source: asis
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Section: libdevel
Priority: optional
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6, dh-ada-library,
 libgnatvsn4.6-dev
Build-Depends-Indep: texinfo, texlive-generic-recommended,
 texlive-fonts-recommended, texlive-latex-base
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.asis
Vcs-Mtn: www.ada-france.org org.debian.asis
Homepage: http://libre.adacore.com/libre/tools
XS-Testsuite: autopkgtest

Package: libasis2010-dev
Architecture: any
Conflicts: libasis-3.15p-1-dev, libasis-dev, libasis2008-dev
Replaces: libasis-dev
Depends: ${ada:Depends}, ${misc:Depends}
Suggests: libasis-doc, libasis2010-dbg
Description: Ada Semantic Interface Specification (ASIS) headers and libraries
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package lets you build ASIS applications with GNAT.

Package: asis-programs
Architecture: any
Section: devel
Depends: gnat, gnat-4.6, ${shlibs:Depends}, ${misc:Depends}
Description: Ada Semantic Interface Specification (ASIS) example programs
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
  * asistant is an interactive command-line tool to explore the ASIS parse tree
    of a program.
  * gnatcheck verifies the conformance of source text to coding conventions
  * gnatelim finds out unused subprograms and eliminates them.
  * gnatmetric calculates metrics such as code complexity.
  * gnatpp is a pretty-printer which reformats Ada source text according to
    a default or user-specified style guide.
  * gnatstub generates an empty but compilable body for a given specification.
  * gnatsync analyzes multitasking programs to find possible race conditions.

Package: libasis2010
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gnat, gnat-4.6, ${shlibs:Depends}, ${misc:Depends}
Description: Ada Semantic Interface Specification (ASIS) runtime library
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package contains the libraries necessary to execute ASIS programs.

Package: libasis2010-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada Semantic Interface Specification (ASIS) runtime library - debugging symbols
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package contains the symbols necessary to debug ASIS programs using gdb.

Package: asis-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada Semantic Interface Specification (ASIS) documentation
 ASIS (Ada Semantic Interface Specification) lets you develop applications
 to walk through the sources of your Ada programs and examine the semantic
 constructs.
 .
 This package contains the documentation in HTML, info, PDF and plain text
 formats.
