=== debian/watch ===
# The upstream tarball download system is too complicated to be
# described in a watch file. Asis may be found in the GNAT GPL section
# of the Homepage URL in debian/control.
